world file without effect for .jpg or .bmp after georeferencer (helmert) good for .tif

2006-12-13 07:01 AM - pascal-ferrand-tiscali-fr -

Status: Closed

Priority: Low

Assignee: Magnus Homann

Category: C++ Plugins

Affected QGIS version: Regression?: No

Operating System: Windows Easy fix?: No

Pull Request or Patch supplied: Resolution: fixed

Crashes QGIS or corrupts data: Copied to github as #: 10509

Description

georeferencer seem well turn map and create *-modified.bpw or *-modified.jgw but these files are without effect on *-modified.bmp or

*-modified.jpg.

It's OK for *-modified.tif

History

#1 - 2007-01-07 10:07 AM - Magnus Homann

Testing with .jpg, I can repeat the issue. Renaming the generated jpeg-modified.jgw to jpeg-modified.jpgw or jpeg-modified.wld displays the JPG with

world info. Seems to be an issue in gdal library. I'm on Ubuntu 6.10 with gdal-1.3.1. I'm recompiling from source and see if I can find anything.

#2 - 2007-01-07 02:43 PM - Magnus Homann

- Resolution set to fixed

- Status changed from Open to Closed

Georef plugin always writes in TIFF-format, so even thoug the ending is .bmp or .jpg of the modified file, it's created as TIFF file and GDAL looks for a

world file named .tfw or .wld.

Changed the dialog box to indicate this, and also changed the default edning to always be .tif (and .tfw).
